Bug 139000 - 3w-9xxx:scsi0:error:(0x03:oxo104): SGL entry has illegal length
3w-9xxx:scsi0:error:(0x03:oxo104): SGL entry has illegal length
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 08:52 EST by niels van strien
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description niels van strien 2004-11-12 08:52:57 EST
Description of problem:

When booting fc3_x86-64 I reiceve the following error using runlevel 3:

3w-9xxx:scsi0:error:(0x03:0x0104): SGL entry has illegal
length:address=0x17B68A000, length=0xFF, cmd=X

3w-9xxx:scsi0:error:(0x03:0x0104): SGL entry has illegal
length:address=0x178643000, length=0xFF, cmd=X

The error occurs at login. 

When booting into runlevel 5, no problems occur noticably. However,
when trying to boot with the smp kernel, runlevel 5  locks-up just
before displaying the logon screen. 


Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. install 3 ware 9XXX controller
2. install fedora core 3 x86_64
3. boot into runlevel 3
  
Actual results:

no login prompt - computer is unaccecable (ctrl-del works though)

Expected results:

normal login prompt (runlevel 3)

Additional info:


Maybe of importance is that I have an Asus NCT-D mainboard.
Comment 1 M McNett 2004-11-19 14:52:24 EST
I have the same issue with the 3ware card.  Perhaps the device is too
big?  Here's the info from /var/log/messages.

Nov 19 11:38:54 brew kernel: 3ware 9000 Storage Controller device
driver for Linux v2.26.02.001.
Nov 19 11:38:55 brew kernel: scsi8 : 3ware 9000 Storage Controller
Nov 19 11:38:55 brew kernel: 3w-9xxx: scsi8: Found a 3ware 9000
Storage Controller at 0xfc8ffc00, IRQ: 169.
Nov 19 11:38:56 brew kernel: 3w-9xxx: scsi8: Firmware FE9X
2.02.00.012, BIOS BE9X 2.02.01.037, Ports: 12.
Nov 19 11:38:56 brew kernel:   Vendor: 3ware     Model: Logical Disk
00   Rev: 1.00
Nov 19 11:38:56 brew kernel:   Type:   Direct-Access                 
    ANSI SCSI revision: 00
Nov 19 11:38:56 brew kernel: sdc : very big device. try to use READ
CAPACITY(16).
Nov 19 11:38:56 brew kernel: SCSI device sdc: 4882595840 512-byte hdwr
sectors (2499889 MB)
Nov 19 11:38:56 brew kernel: SCSI device sdc: drive cache: none
Nov 19 11:38:56 brew kernel:  sdc: sdc1
Nov 19 11:38:56 brew kernel: Attached scsi disk sdc at scsi8, channel
0, id 0, lun 0
Nov 19 11:38:56 brew scsi.agent[3515]: disk at
/devices/pci0000:00/0000:00:0a.0/0000:02:03.0/host8/8:0:0:0
Nov 19 11:38:56 brew kernel: 3w-9xxx: scsi8: ERROR: (0x03:0x0104): SGL
entry has illegal length:address=0x7F2A2000, length=0xFF, cmd=X.

[root@brew ~]# uname -a
Linux brew.xxx.xxx 2.6.9-1.678_FC3smp #1 SMP Mon Nov 15 18:40:12 EST
2004 x86_64 x86_64 x86_64 GNU/Linux

Comment 2 Michael Best 2004-12-21 15:34:44 EST
3ware/AMCC has the fix in their knowledgebase
Comment 3 Dave Jones 2005-07-15 14:38:49 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:58:19 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.
Comment 5 John Vasileff 2005-10-05 18:01:35 EDT
This has started to occur with RHEL4-U2

~# uname -a
Linux tudor.mktgcentral.net 2.6.9-22.ELsmp #1 SMP Mon Sep 19 18:32:14 EDT 2005
i686 i686 i386 GNU/Linux

3w-9xxx: scsi0: ERROR: (0x03:0x0104): SGL entry has illegal
length:address=0x36913000, length=0xFF, cmd=X.
3w-9xxx: scsi0: ERROR: (0x03:0x0104): SGL entry has illegal
length:address=0x37235000, length=0xFF, cmd=X.
3w-9xxx: scsi0: ERROR: (0x03:0x0104): SGL entry has illegal
length:address=0x3699D000, length=0xFF, cmd=X.


This issue is also referenced at http://3ware.com/KB/article.aspx?id=11641

Note You need to log in before you can comment on or make changes to this bug.